From 1a6ef6e180de7eaabffcf6daa851a05c2a482402 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Mar 14 2023 14:38:37 +0000
Subject: [PATCH 33/33] [iceweasel] 111.0 Upstream updates and DDG fixes


1. Update patches according to changes from upstreams.
2. Rework DuckDuckGo patching to make it default search engine again and
   change method from GET to POST (see patch comment from
9004-FSDG-misc.patch)

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 59a8bed..978479d 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,7 +70,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=110.0.1
+pkgver=111.0
 pkgrel=1
 pkgrel+=.parabola1
 _brandingver=102.0-1
@@ -152,7 +152,8 @@ source=(
   https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
   $pkgname.desktop
   identity-icons-brand.svg
-  0001-libwebrtc-screen-cast-sync.patch
+  0001-Bug-1819374-Squashed-ffmpeg-6.0-update.patch
+  0002-Bug-1820416-Use-correct-FFVPX-headers-from-ffmpeg-6..patch
 )
 source=(${source[*]/identity-icons-brand.svg/}) # branding over-ride
 source+=(
@@ -178,34 +179,36 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-sha256sums=('f19bb74d684b992625abca68f5776198974cd2785eb5d02d51ba007fc998491f'
+sha256sums=('e1006c0872aa7eb30fb5a689413957f1e5fc8d2048b1637bf6f6fafdbd4ea55f'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58'
-            '43c83101b7ad7dba6f5fffeb89b70a661a547d506a031ea2beada42ccf04eec7')
+            '802f9271a5f7c0ab581baae8c46fd5b29598025ee93bb2dac6b456f8e0ae6acc'
+            'be9ba079a931d5e881ce38430d418cc834e8c6b157af6c79ea267998caece806')
 sha256sums+=('d29c194ed7b3b4fa0f511866723118938c2be40077b4e9aadf8b3e6bfff91049'
              'SKIP'
-             '58f6cdb31df0da4c8bf599d033ceb8f97c3e19b21c72b5b4cb70f13e1dfa5139'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             'f073e5280845fe3197ab956a53041b06c81dd6e1d0d5f1de5f5947e409c8bfba'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
              '1e4d28bd87688334b20cce9213490111e004ea6bcf1654f550da8ebe6bdbf3ef'  # 9002-FSDG-preference-defaults.patch
              '13b701372b6fb35b96a1d58853db64643feb9be061ebc461b41ceca5de8eea62'  # 9003-FSDG-urihandlers.patch
-             'b664e65ad916effcd4807f8dc11b2d74e28733118c4a189dd19da6663a99577b'  # 9004-FSDG-misc.patch
-             '591b07d4a23bf978329420b7d7f53e16824dfbbf30ef0ffe8efd73a6cd836624'  # process-json-files.py
+             '53e168ccce9077fa36e2dd128b38ff807177f1c0109525c2cd79986ab41df8a9'  # 9004-FSDG-misc.patch
+             '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
              '8e113fd2730be3fd11b2a24918dd62e8741513cf4dce9819d8eae358c5411adc') # vendor.js.in
 sha256sums_armv7h=('2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
 sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e353'
                  '10c5276eab2e87f400a6ec15d7ffbef3b0407ee888dea36f1128927ca55b9041'
                  '1c2015e9f59c2c3bc898e04c6c6d33523f835638fd314d24944a8063cbce79d8'
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06')
-b2sums=('ff196016e0271f7828163b8f767f3321b5ee08ef6bd0b03b134e17a1e5b62666f10ae80a14569438f6ac1c995a7a8422265eaabbc505b6a86e95a66b5db07209'
+b2sums=('5262557c7e3460c5d4013040b653b5ed357a6ee3fa196a8b862ac4e884a8be64bb06896a6ef468fe702f6ab09fc2af7088de4e4c14cf832d2a3d47a18ac68f0e'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635'
-        '2bf65874c8c1f41c9273b68d74f4fe5c81dca5acbad0b9a5f917df1d46e1b2a1fb25d42a419eb885e76f4d193483cdeb6294e14ed4b2e241c34b84565b6ffd72')
+        'bf6796cb3815bc97d938a2cb18754fdc6b35e40a2c6ee34fc1e9878ba9e9c83c26c79ae61e779dc6540b9ec5126a385aff65e00e56aa19841f0846fc030e1d0a'
+        'be47c370c1b765921a6ffbb0eeaceaabc26483629b2ebd73c38f36b3ac418d1746fa021b5d444264641ff7c0c13e688a752758bd75c84e0297aceeaec0062ff2')
 b2sums+=('c2a2ead1b44c563583abb5cd3579e8f2724ea79e12aba1b315f201a09547d611b4a3c98de12f063b25826fd1520562d411ab917780bab4d78a1240fe56096b1b'
          'SKIP'
-         '553f96ab709cfc60324829b7225f89081b0aae06fd6d52699e83ee8483dc23ff227caec68949cf62caaffad09a26e817287508000dae5df60d3062de2e6a8bce'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         'ebf0355bebde4d994a3c771d69de05290722df19dba181852c46e84ba9b68992c6beed3dfb38ecbf8de904ac01ec303ba364a523c3476c48c4c42055deb816b3'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
          'bdb08d681f6f17ae9f8e0bb37e23087a0401d4be26c91ead3eda4654362ad37c3b1cddf69596e2b2278f77e0fd45714b7dbb7a97aca35aae5417e916079d24bf'  # 9002-FSDG-preference-defaults.patch
          '9e4ccfb8850d9f9a5222f5186b35f2ae7986b6c6d435de024b109a6fa01e65a1362664cfb6ea81621387cf33364cc8d3d466fae1bee24ab5fc7e23c4cb17bf2c'  # 9003-FSDG-urihandlers.patch
-         '3c2041eac7230a2268cd2590bbccf2d3cf66f9164b6032c039e1d2656c0331301d39fb25623d27ee9cf701867f79f9e7fec6dbf68ff46f4fc5abb4ebeb3784cc'  # 9004-FSDG-misc.patch
-         'f53c0bdd1b1e09f3e4e4e376f6ada654fc6f5a02a248c87daad1f644fc8cf9bdb1009802f352b59d76b17c6d6a81745da1e7c59a5e2421fd2b8475bb9ba34798'  # process-json-files.py
+         'd5648b9e625ed68bfa3a531b5a8878df80c798da924e4d17370ef235bb61290593320318c1351e3b4a2ad77784dc505ef2411cb2f647b1119ca1554620f551d4'  # 9004-FSDG-misc.patch
+         '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
          '5302b6abcfec3155c578e0664e6a0ac921234c5912d74c4a9b0feb3a051ed4ef5f11b93ee37739a3a92fc6693683374f92ac9c3f560780f879c4249d0718157a') # vendor.js.in
 b2sums_armv7h=('6e5980e56343a23bce4fcda58f6abc8f2debca0c278c87b09e53abb17ff15849c26e8df3bbff2388985f8fe5a4e9be9982c602ef7159546f0ae335fca1000a41')
 b2sums_i686=('97035e44cd1deae7bb2422c81eec7294feb51f43f460b4d7ddba083e1d8a48d265a36ca43cf1d9dee49b01ee6df0c76e0f6916cc73cb7ad9caa1c235a59da0e4'
@@ -345,10 +348,12 @@ prepare() {
 
   ## technical patching ##
 
-  # https://bugs.archlinux.org/task/76231
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=1790496
-  # https://src.fedoraproject.org/rpms/firefox/blob/rawhide/f/libwebrtc-screen-cast-sync.patch
-  patch -Np1 -i ../0001-libwebrtc-screen-cast-sync.patch
+  # https://bugzilla.mozilla.org/show_bug.cgi?id=1819374
+  patch -Np1 -i ../0001-Bug-1819374-Squashed-ffmpeg-6.0-update.patch
+
+  # https://bugs.archlinux.org/task/77796
+  # https://bugzilla.mozilla.org/show_bug.cgi?id=1820416
+  patch -Np1 -i ../0002-Bug-1820416-Use-correct-FFVPX-headers-from-ffmpeg-6..patch
 
   # arch-specific technical patching
   case ${CARCH} in
@@ -628,16 +633,6 @@ END
 
   pushd browser/components/search/extensions > /dev/null
 
-  # Patch search-engines configs
-  sed -i 's|https://duckduckgo.com/|https://html.duckduckgo.com/html/|' ddg/manifest.json
-
-  # Removing URL parameters that let DuckDuckGo know the place in UI
-  # the search was ran from (like address bar, context menu, etc.)
-  local jq_cmd='del(.chrome_settings_overrides.search_provider.params)'
-  jq "${jq_cmd}"           ddg/manifest.json > manifest.json.tmp
-  ! diff manifest.json.tmp ddg/manifest.json > /dev/null
-  mv manifest.json.tmp     ddg/manifest.json
-
   # Delete unused search engine configs
   find -mindepth 1 -maxdepth 1 \
        -not -name ddg          \
diff --git a/libre/iceweasel/process-json-files.py b/libre/iceweasel/process-json-files.py
index 0958872..a2fd0e9 100644
--- a/libre/iceweasel/process-json-files.py
+++ b/libre/iceweasel/process-json-files.py
@@ -173,10 +173,8 @@ class SearchConfig(RemoteSettings):
         general_specifier = {}
         for specifier in search_engine['appliesTo'].copy():
             if 'application' in specifier:
-                if 'distributions' in specifier['application']:
-                    search_engine['appliesTo'].remove(specifier)
-                    continue
-                specifier['application'].pop('extraParams', None)
+                search_engine['appliesTo'].remove(specifier)
+                continue
 
             if 'included' in specifier and 'everywhere' in specifier[
                     'included'] and specifier['included']['everywhere']:
@@ -185,8 +183,10 @@ class SearchConfig(RemoteSettings):
         if not general_specifier:
             general_specifier = {'included': {'everywhere': True}}
             search_engine['appliesTo'].insert(0, general_specifier)
+
         if search_engine['webExtension']['id'] == cls._DUCKDUCKGO_SEARCH_ENGINE_ID:
             general_specifier['default'] = 'yes'
+            search_engine.pop('params')
 
         return search_engine
 

